import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSString } from "../Foundation/NSString.js";
export declare class _MTROvenCavityOperationalStateClusterOperationalStateStruct extends _NSObject {
    static alloc(): _MTROvenCavityOperationalStateClusterOperationalStateStruct;
    static new(): _MTROvenCavityOperationalStateClusterOperationalStateStruct;
    init(): _MTROvenCavityOperationalStateClusterOperationalStateStruct;
    operationalStateID(): _NSNumber;
    setOperationalStateID$(value: _NSNumber): void;
    operationalStateLabel(): _NSString | null;
    setOperationalStateLabel$(value: _NSString | null): void;
}
export interface _MTROvenCavityOperationalStateClusterOperationalStateStruct extends _NSCopying {
}
